pamr.knnimpute {pamr} | R Documentation

## A function to impute missing expression data

### Description

A function to impute missing expression data

### Usage

    pamr.knnimpute(data ,k)

### Arguments

`data` | The input data. A list with components: x- an expression genes in the rows, samples in the columns, and y- a vector of the class labels for each sample. Same form as used by pamr.train, and same as that produced by pamr.from.excel
`k` | Number of neighbors to be used in the imputation.Default=10

### Details

`pamr.knnimpute` used k-nearest neighbors in the space of genes to impute missing expression values. For large data matrices with lots of missing values, this function can take a while to run.

### Value

`data` |

{The input data list, with x replaced by the imputed version of x}

### Author(s)

Trevor Hastie, Robert Tibshirani, Balasubramanian Narasimhan, and Gilbert Chu

### References

Olga Troyanskaya, Michael Cantor, Gavin Sherlock, Pat Brown, Trevor Hastie, Robert Tibshirani, David Botstein and Russ B. Altman, Missing value estimation methods for DNA microarrays BIOINFORMATICS Vol. 17 no. 6, 2001 Pages 520-525

[Package Contents]